## kdeartwork 4.13.0

=== styles/CMakeLists.txt ===
add_subdirectory( phase )
