=== emoticons/KMess-Violet/CMakeLists.txt ===

install( FILES emoticons.xml  angry.png confused.png cry.png  embarassed.png omg.png sad.png  shade.png smile.png teeth.png  tongue.png wink.png  DESTINATION  ${SHARE_INSTALL_PREFIX}/emoticons/KMess-Violet )
