=== emoticons/phpBB/CMakeLists.txt ===

install( FILES biggrin.png confused.png cry.png devil.png  	oh.png smile.png sunglasses.png tongue.png  	unhappy.png wink.png emoticons.xml  DESTINATION  ${SHARE_INSTALL_PREFIX}/emoticons/phpBB )
