=== emoticons/redones/CMakeLists.txt ===

install( FILES angel.png biggrin.png confused.png cry.png  	oh.png smile.png sunglasses.png tongue.png  	unhappy.png wink.png buck_teeth.png emoticons.xml  DESTINATION  ${SHARE_INSTALL_PREFIX}/emoticons/RedOnes )
