## kdeartwork 4.14.1

=== debian/changelog ===
kdeartwork (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 22 Sep 2014 16:39:17 +0200

kdeartwork (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:41:07 +0200

kdeartwork (4:4.13.97-0ubuntu2) utopic; urgency=medium

  * kdeartwork-wallpapers breaks/replaces kdewallpapers << 4:4.13.90 for the
    SRU updates 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 12 Aug 2014 22:32:03 +0200

kdeartwork (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:25:12 +0200

kdeartwork (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:37:48 +0200

kdeartwork (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 14:15:38 -0700

kdeartwork (4:4.13.2-0ubuntu2) utopic; urgency=medium

  * No-change rebuild against new libkdecorations ABI 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Jun 2014 20:17:27 +0200

kdeartwork (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Philip Muškovac ]
  * Document the svn rev in which 10_eigen3.patch was upstreamed in the
    Forwarded field (r1384805)

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:50:15 +0100

kdeartwork (4:4.13.1-1ubuntu1) utopic; urgency=medium

  * Merge with debian unstable, remaining changes:
    - only build-depend on libqt4-opengl-dev on [!armel !armhf]
    - Bump breaks/replaces for kdeartwork-wallpapers to << 4:4.13.1

 -- Philip MuÅ¡kovac <yofel@kubuntu.org>  Fri, 06 Jun 2014 22:27:42 +0200

kdeartwork (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 May 2014 13:34:02 +0200

kdeartwork (4:4.12.4-1) unstable; urgency=medium

  * Add additional copyright information. (Closes: #741931)
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:32 +0200

kdeartwork (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

  [ Pino Toscano ]
  * Remove ${shlibs:Depends} from kdeartwork-dbg.
  * Rename kdewallpapers to kdeartwork-wallpapers; provide a transitional
    package for the migration.
  * Suggest kde-wallpapers in kdeartwork-wallpapers.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 04 Mar 2014 10:21:37 +0100

kdeartwork (4:4.12.2-1) experimental; urgency=medium

  * Do not disable an empty test set.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Update install files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:35 +0100

kdeartwork (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.
  * Switch to libeigen3-dev, thanks to Anton Gladky. (Closes: #728325)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 19:04:49 +0100

kdeartwork (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 14:50:20 +0200

kdeartwork (4:4.10.5-2) unstable; urgency=low

  [ Adrien Grellier ]
  * Correct typos in package descriptions. (Closes: #707078)

  [ Pino Toscano ]
  * Make nuvola-icon-theme and kde-icons-mono depend on hicolor-icon-theme,
    as both inherit it.
  * Changes in packages relationships:
    - demote the kscreensaver-xsavers recommend in kscreensaver to a suggest
    - make kscreensaver-xsavers depend on xscreensaver
    - make sure that the installed version of kscreensaver-xsavers cannot be
      lower than the kscreensaver one (Closes: #719541)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 04 Sep 2013 15:22:12 +0200

kdeartwork (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 17:52:23 +0200

kdeartwork (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 16:48:10 +0200
