=== debian/changelog ===
kdeartwork (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).
  * Silence lintian error description-is-pkg-name.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Oct 2014 22:56:12 +0200

kdeartwork (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream applied patch: 10_eigen3.patch

 -- Maximiliano Curia <maxy@debian.org>  Mon, 25 Aug 2014 01:00:41 +0200

kdeartwork (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Aug 2014 09:47:41 +0200
